package nckd.jxccl.sit.hcsi.formplugin.web.coordination;

import kd.bos.form.events.AfterDoOperationEventArgs;
import kd.bos.list.plugin.AbstractListPlugin;

public class HCSIEmpCoordVerifBillListEx extends AbstractListPlugin {

    @Override
    public void afterDoOperation(AfterDoOperationEventArgs afterDoOperationEventArgs) {
        super.afterDoOperation(afterDoOperationEventArgs);
        String key = afterDoOperationEventArgs.getOperateKey();
        switch(key) {
            case "donothing_split":
                afterDoSplit(afterDoOperationEventArgs);
        }
    }

    private void afterDoSplit(AfterDoOperationEventArgs afterDoOperationEventArgs) {
        this.getView().invokeOperation("refresh");
    }
}
